#scenes
execute if entity @p[scores={scene1=1..}] run function scenes:scene1
execute if entity @p[scores={scene2=1..}] run function scenes:scene2
execute if entity @p[scores={scene3=1..}] run function scenes:scene3
execute if entity @p[scores={scene4=1..}] run function scenes:scene4
execute if entity @p[scores={scene5=1..}] run function scenes:scene5

#triggers
execute unless entity @p[scores={scene2=1..}] run scoreboard players set @p[x=-165,y=97,z=-412,dx=4,dy=3,dz=1,gamemode=!spectator] scene2 1
execute unless entity @p[scores={scene3=1..}] run scoreboard players set @p[x=-137,y=58,z=-333,dx=2,dy=3,dz=8,gamemode=!spectator] scene3 1
execute unless entity @p[scores={scene4=1..}] run scoreboard players set @p[x=-296,y=100,z=-451,dx=2,dy=3,dz=0,gamemode=!spectator] scene4 1
execute unless entity @p[scores={scene5=1..}] run scoreboard players set @p[x=-249,y=92,z=-354,dx=0,dy=0,dz=0,gamemode=!spectator] scene5 1

#air block
execute at @p[tag=skywalker] run function general:skywalker

#special effects
execute if entity @e[tag=startAnimationL] run function effects:sign_animation_l
execute if entity @e[tag=startAnimationR] run function effects:sign_animation_r
execute if entity @e[tag=startAnimationUp] run function effects:sign_animation_up
execute at @p[scores={victoryLoop=1..}] run function effects:victory_loop

#checkpoints
execute if entity @e[scores={checkpoint=1..100}] unless entity @p[gamemode=spectator] run function general:checkpoint_choco
execute if entity @e[scores={checkpoint=101..200}] unless entity @p[gamemode=spectator] run function general:checkpoint_plate
execute if entity @e[scores={checkpoint=201..300}] unless entity @p[gamemode=spectator] run function general:checkpoint_honey
execute if entity @e[scores={checkpoint=301..400}] unless entity @p[gamemode=spectator] run function general:checkpoint_air

#general barrier
execute unless entity @p[x=-464,y=49,z=-624,dx=580,dy=200,dz=580] if entity @e[scores={checkpoint=1..}] run function general:failed

#effects
effect give @p saturation 100000 100 true

#spawn
tp @p[tag=!spawned] -157 42 -413
tag @p[tag=!spawned] add spawned





#data merge block -158 59 -409 {Text1:"{\"text\":\"\"}",Text2:"{\"text\":\"\"}",Text3:"{\"text\":\"\"}",Text4:"{\"text\":\"\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"scoreboard players add @p scene1 1\"}}"}